Skip to main content

Atrium API

Read Merchant Location

This endpoint returns the specified merchant_location resource.

GET
/merchant_locations/{merchant_location_guid}

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/merchant_locations/{merchant_location_guid}' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_16
{
_16
"merchant_location": {
_16
"city": "Greenwood Village",
_16
"country": "US",
_16
"guid": "MCL-00024e59-18b5-4d79-b879-2a7896726fea",
_16
"latitude": 39.5963005,
_16
"longitude": -104.89158799999998,
_16
"merchant_guid": "MCH-09466f0a-fb58-9d1a-bae2-2af0afbea621",
_16
"phone_number": "(303) 689-0728",
_16
"postal_code": "801121436",
_16
"state": "CO",
_16
"store_number": null,
_16
"street_address": "8547 E Arapahoe Rd, Ste 1",
_16
"updated_at": "2020-04-13T21:05:09Z"
_16
}
_16
}